<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <a routerLink="/" class="navbar-brand">Home</a>
    </div>
    <ul class="nav navbar-nav">
        <li routerLinkActive="active" *ngIf="!check()"><a routerLink="/signin" type="button">Sign In</a></li>
        <li routerLinkActive="active" *ngIf="!check()"><a routerLink="/signup" type="button">Sign Up</a></li>
        <li routerLinkActive="active" *ngIf="check()"><a (click)="onLogout()" type="button" style="cursor: pointer;">Sign Out</a></li>
    </ul>
  </div>
</nav>
